/*
	File:		SimpleInit.c

	Contains:	This snippet demonstrates the writing of a simple init which
				attempts to allocate a 1 megabyte and then a 2 megabyte handle
				in the System heap. Please note the 'sysz' resource in the init
				which is necessary in order to allocate the memory (see Inside 
				Macintosh Memory page 2-13; NOTE: the 'sysz' resource *is* in 
				fact still required under System 7 contrary to the statement in 
				Inside Macintosh Memory)

	Written by: Kevin Mellander	

	Copyright:	Copyright  1994-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/21/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#include <Memory.h>
#include <Types.h>

#pragma segment Main
void main()
{
	Handle	mySysHandle = nil;
	
	mySysHandle = NewHandleSys(1000000);
	
	if (mySysHandle == nil)
		DebugStr("\p the 1,000,000 byte call to mySysHandle failed");
	else
		DebugStr("\p the 1,000,000 byte call to mySysHandle succeeded");

	if (mySysHandle)
		DisposeHandle(mySysHandle);
	
	mySysHandle = NewHandleSys(2000000);
	
	if (mySysHandle == nil)
		DebugStr("\p the 2,000,000 byte call to mySysHandle failed");
	else
		DebugStr("\p the 2,000,000 byte call to mySysHandle succeeded");
	
	if (mySysHandle)
		DisposeHandle(mySysHandle);
	
}